with GNATCOM.Dispinterface;

package MSHTML.HTMLTableEvents2_Object is

   type HTMLTableEvents2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function onhelp
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function onclick
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function ondblclick
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function onkeypress
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure onkeydown
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onkeyup
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onmouseout
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onmouseover
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onmousemove
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onmousedown
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onmouseup
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   function onselectstart
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure onfilterchange
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   function ondragstart
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function onbeforeupdate
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure onafterupdate
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   function onerrorupdate
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function onrowexit
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure onrowenter
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure ondatasetchanged
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure ondataavailable
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure ondatasetcomplete
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onlosecapture
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onpropertychange
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onscroll
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onfocus
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onblur
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onresize
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   function ondrag
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure ondragend
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   function ondragenter
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function ondragover
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure ondragleave
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   function ondrop
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function onbeforecut
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function oncut
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function onbeforecopy
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function oncopy
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function onbeforepaste
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function onpaste
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function oncontextmenu
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure onrowsdelete
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onrowsinserted
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure oncellchange
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onreadystatechange
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onlayoutcomplete
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onpage
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onmouseenter
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onmouseleave
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onactivate
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure ondeactivate
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   function onbeforedeactivate
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function onbeforeactivate
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure onfocusin
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onfocusout
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   procedure onmove
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   function oncontrolselect
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function onmovestart
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure onmoveend
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   function onresizestart
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure onresizeend
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True);

   function onmousewheel
     (This    : HTMLTableEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

end MSHTML.HTMLTableEvents2_Object;

